#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_SceneCFGData
{
	//ID
	int mID;
	//场景名字
	std::string mResName;
	//资源路径
	std::string mResPath;
	//预加载资源
	std::vector<std::string> mPreloadResource;
	//是否特殊场景
	bool mIsSpecial;
};

class Fish_SceneCFG
{
public:
private:
	static std::auto_ptr<Fish_SceneCFG> msSingleton;
public:
	int GetCount();
	const Fish_SceneCFGData* GetData(int ID);
	boost::unordered_map<int, Fish_SceneCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_SceneCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_SceneCFGData> mMapData;
};
